extends RayCast3D


func _ready() -> void:
	add_exception($"../..")

func try_deal_damage(damage) -> void:
	if is_colliding() == false:
		return
	var collider = get_collider()
	if collider is Player:
		collider.hp -= damage
